- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members
ClpPackedMatrix3 Class Reference

`#include <ClpPackedMatrix.hpp>`

Collaboration diagram for ClpPackedMatrix3:
[legend]

## Public Member Functions
Useful methods
void | transposeTimes (const ClpSimplex *model, const double *pi, CoinIndexedVector *output) const
| Return `x * -1 * A in `z`.` More...
void | transposeTimes2 (const ClpSimplex *model, const double *pi, CoinIndexedVector *dj1, const double *piWeight, double referenceIn, double devex, unsigned int *reference, double *weights, double scaleFactor)
| Updates two arrays for steepest. More...
Constructors, destructor
| ClpPackedMatrix3 ()
| Default constructor. More...
| ClpPackedMatrix3 (ClpSimplex *model, const CoinPackedMatrix *columnCopy)
| Constructor from copy. More...
virtual | ~ClpPackedMatrix3 ()
| Destructor. More...
Copy method
| ClpPackedMatrix3 (const ClpPackedMatrix3 &)
| The copy constructor. More...
ClpPackedMatrix3 & | operator= (const ClpPackedMatrix3 &)
| The copy constructor. More...
Sort methods
void | sortBlocks (const ClpSimplex *model)
| Sort blocks. More...
void | swapOne (const ClpSimplex *model, const ClpPackedMatrix *matrix, int iColumn)
| Swap one variable. More...

## Protected Attributes
Data members
The data members are protected to allow access for derived classes.
int | numberBlocks_
| Number of blocks. More...
int | numberColumns_
| Number of columns. More...
int * | column_
| Column indices and reverse lookup (within block) More...
CoinBigIndex * | start_
| Starts for odd/long vectors. More...
int * | row_
| Rows. More...
double * | element_
| Elements. More...
blockStruct * | block_
| Blocks (ordinary start at 0 and go to first block) More...

## Detailed Description

Definition at line 569 of file ClpPackedMatrix.hpp.

## Constructor & Destructor Documentation

ClpPackedMatrix3::ClpPackedMatrix3 | ( |  | ) |

Default constructor.

ClpPackedMatrix3::ClpPackedMatrix3 | ( | ClpSimplex * | model,
|  | const CoinPackedMatrix * | columnCopy
| ) |  |

Constructor from copy.

virtual ClpPackedMatrix3::~ClpPackedMatrix3 | ( |  | ) |
| virtual

Destructor.

ClpPackedMatrix3::ClpPackedMatrix3 | ( | const ClpPackedMatrix3 & |  | ) |

The copy constructor.

## Member Function Documentation

void ClpPackedMatrix3::transposeTimes | ( | const ClpSimplex * | model,
|  | const double * | pi,
|  | CoinIndexedVector * | output
| ) |  | const

Return `x * -1 * A in `z`.`

Note - x packed and z will be packed mode Squashes small elements and knows about ClpSimplex

void ClpPackedMatrix3::transposeTimes2 | ( | const ClpSimplex * | model,
|  | const double * | pi,
|  | CoinIndexedVector * | dj1,
|  | const double * | piWeight,
|  | double | referenceIn,
|  | double | devex,
|  | unsigned int * | reference,
|  | double * | weights,
|  | double | scaleFactor
| ) |  |

Updates two arrays for steepest.

ClpPackedMatrix3& ClpPackedMatrix3::operator= | ( | const ClpPackedMatrix3 & |  | ) |

The copy constructor.

void ClpPackedMatrix3::sortBlocks | ( | const ClpSimplex * | model | ) |

Sort blocks.

void ClpPackedMatrix3::swapOne | ( | const ClpSimplex * | model,
|  | const ClpPackedMatrix * | matrix,
|  | int | iColumn
| ) |  |

Swap one variable.

## Member Data Documentation

int ClpPackedMatrix3::numberBlocks_
| protected

Number of blocks.

Definition at line 622 of file ClpPackedMatrix.hpp.

int ClpPackedMatrix3::numberColumns_
| protected

Number of columns.

Definition at line 624 of file ClpPackedMatrix.hpp.

int* ClpPackedMatrix3::column_
| protected

Column indices and reverse lookup (within block)

Definition at line 626 of file ClpPackedMatrix.hpp.

CoinBigIndex* ClpPackedMatrix3::start_
| protected

Starts for odd/long vectors.

Definition at line 628 of file ClpPackedMatrix.hpp.

int* ClpPackedMatrix3::row_
| protected

Rows.

Definition at line 630 of file ClpPackedMatrix.hpp.

double* ClpPackedMatrix3::element_
| protected

Elements.

Definition at line 632 of file ClpPackedMatrix.hpp.

blockStruct* ClpPackedMatrix3::block_
| protected

Blocks (ordinary start at 0 and go to first block)

Definition at line 634 of file ClpPackedMatrix.hpp.

The documentation for this class was generated from the following file:

- /tmp/CHiPPS-Blis-0.94.3/Clp/src/ClpPackedMatrix.hpp